godo.AgentPlatform.GetOpenAIAPIKey()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.AgentPlatform.GetOpenAIAPIKey(ctx context.Context, openaiApiKeyId string) (*godo.OpenAiApiKey, *godo.Response, error)Description
This method sends a GET request to /v2/gen-ai/openai/keys/{}.
Parameters
openaiApiKeyIdstring required
Returns
- *godo.OpenAiApiKey
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.OpenAiApiKey
OpenAiApiKey represents the OpenAI API Key information
CreatedAt*godo.TimestampCreatedBystringDeletedAt*godo.TimestampModels[]*godo.ModelNamestringUpdatedAt*godo.TimestampUuidstring
Request Sample
More Information
See GET /v2/gen-ai/openai/keys/{} in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.